Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QLineF.IntersectType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QLineF.IntersectType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLineF

    public static final class QLineF.IntersectType

extends java.lang.Enum
implements QtEnumerator

Describes the intersection between two lines.

`QLineF::UnboundedIntersection` | `QLineF::BoundedIntersection`

`intersect()` will also return this value if the intersect point is within the start and end point of only one of the lines.

See also:
  `intersect()`.

See Also:
  Serialized Form

Field Summary
`static QLineF.IntersectType` | `BoundedIntersection` The two lines intersect with each other within the start and end points of each line.
`static QLineF.IntersectType` | `NoIntersection` Indicates that the lines do not intersect; i.e.
`static QLineF.IntersectType` | `UnboundedIntersection` The two lines intersect, but not within the range defined by their lengths.

Method Summary
`static QLineF.IntersectType` | `resolve(int value)` Returns the QLineF$IntersectType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLineF.IntersectType` | `valueOf(java.lang.String name)`
`static QLineF.IntersectType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoIntersection

    public static final QLineF.IntersectType NoIntersection

  Indicates that the lines do not intersect; i.e. they are parallel.

### BoundedIntersection

    public static final QLineF.IntersectType BoundedIntersection

  The two lines intersect with each other within the start and end points of each line.

### UnboundedIntersection

    public static final QLineF.IntersectType UnboundedIntersection

  The two lines intersect, but not within the range defined by their lengths. This will be the case if the lines are not parallel.

Method Detail

### values

    public static QLineF.IntersectType[] values()

### valueOf

    public static QLineF.IntersectType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLineF.IntersectType resolve(int value)

  Returns the QLineF$IntersectType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD